lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From baris.ka...@oracle.com
Subject A possible Java exception message fix
Date Mon, 24 Jun 2019 18:03:15 GMT
Index created with Lucene 6.6 and according to that,  this error message 
might need update:-> This version of Lucene only supports indexes 
created with release 7.0 and later.

The first part of the error message is consistent with the error: -> 6 
(needs to be between 7 and 9).

Hope this helps

baris

PS, here is the stack trace


org.apache.lucene.index.IndexFormatTooOldException: Format version is 
not supported (resource 
BufferedChecksumIndexInput(MMapIndexInput(path="/scratch/bkazar/auto_correct_index/index/segments_5"))):

6 (needs to be between 7 and 9). *This version of Lucene only supports 
indexes created with release 6.0 and later.*
     at 
org.apache.lucene.codecs.CodecUtil.checkHeaderNoMagic(CodecUtil.java:213)
     at 
org.apache.lucene.index.SegmentInfos.readCommit(SegmentInfos.java:305)
     at 
org.apache.lucene.index.SegmentInfos.readCommit(SegmentInfos.java:289)
     at 
org.apache.lucene.index.StandardDirectoryReader$1.doBody(StandardDirectoryReader.java:64)
     at 
org.apache.lucene.index.StandardDirectoryReader$1.doBody(StandardDirectoryReader.java:61)
     at 
org.apache.lucene.index.SegmentInfos$FindSegmentsFile.run(SegmentInfos.java:680)
     at 
org.apache.lucene.index.StandardDirectoryReader.open(StandardDirectoryReader.java:84)
     at 
org.apache.lucene.index.DirectoryReader.open(DirectoryReader.java:76)
     at 
org.apache.lucene.index.DirectoryReader.open(DirectoryReader.java:64)

.... (this should be enough for the trace)


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message